Pg_upgrade issue

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Pg_upgrade issue

abbas alizadeh
I wanna upgrade a postgresql database from version 9.0 to 12.4 using pg_upgrade.
But I have an issue with postgis, in current postgresql, postgis v2.0 (possible to upgrade to 2.2) is in use which is not compatible with pg v12.4 and is the last version we can use in pg v9.0(postgis v2.2), so it seems I can’t upgrade database directly from 9.0 to 12.4, the solution I try to use is to upgrade pg v9.2 to v9.6 then on pg v9.6 upgrade postgis to v3.0, and then upgrade pg v9.6 to pg v12.4.
I just wanna know if there is any better solution I can use in this case ir no?
Following picture is my plan to upgrade.


Best Rigards
Abbas.
Reply | Threaded
Open this post in threaded view
|

Re: Pg_upgrade issue

Devrim GÜNDÜZ

Hi,

On Mon, 2020-12-21 at 17:51 +0800, abbas alizadeh wrote:

> I wanna upgrade a postgresql database from version 9.0 to 12.4 using
> pg_upgrade.
> But I have an issue with postgis, in current postgresql, postgis v2.0
> (possible to upgrade to 2.2) is in use which is not compatible with
> pg v12.4 and is the last version we can use in pg v9.0(postgis v2.2),
> so it seems I can’t upgrade database directly from 9.0 to 12.4, the
> solution I try to use is to upgrade pg v9.2 to v9.6 then on pg v9.6
> upgrade postgis to v3.0, and then upgrade pg v9.6 to pg v12.4.
> I just wanna know if there is any better solution I can use in this
> case ir no?
That is the suggested solution in the PostGIS docs.

Regards,

--
Devrim Gündüz
Open Source Solution Architect, Red Hat Certified Engineer
Twitter: @DevrimGunduz , @DevrimGunduzTR

signature.asc (849 bytes) Download Attachment